=== debian/changelog ===
nestopia (1.49-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Install nestopia.libretro. Closes: #911330.
  * Update bugtracker URL for libretro.

  [ Stephen Kitt ]
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Oct 2018 12:45:55 +0200

nestopia (1.49-1) unstable; urgency=medium

  * New upstream release, switching back to Autoconf and merging all
    patches.
  * Enable JACK support.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Jun 2018 08:49:22 +0200

nestopia (1.48-3) unstable; urgency=medium

  * Add missing build-dependency on autoconf-archive.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 May 2018 14:25:46 +0200

nestopia (1.48-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 May 2018 10:06:36 +0200

nestopia (1.48-1) unstable; urgency=medium

  * New upstream release.
  * Copy Appstream metadata from Ubuntu, thanks to Jeremy Bicha (Closes:
    #860427).
  * Update watch file.
  * Document that Nestopia requires OpenGL 3.2 or later (Closes:
    #822436).
  * Enable PIE.
  * Switch to https URL in debian/copyright.
  * Standards-Version 4.1.0, no further change required.
  * Preserve CPPFLAGS when building libretro (so the hardening options
    are applied).

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Sep 2017 12:01:44 +0200
