=== debian/control ===
Source: nestopia
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
           Sérgio Benjamim <sergio_br2@yahoo.com.br>
Section: games
Priority: optional
Build-Depends: autoconf-archive,
               debhelper (>= 11~),
               dh-exec,
               libao-dev,
               libarchive-dev,
               libglew-dev,
               libgtk-3-dev,
               libjack-dev,
               libsdl2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/games-team/nestopia
Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
Homepage: http://0ldsk00l.ca/nestopia/
Rules-Requires-Root: no

Package: nestopia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nes-emulator
Description: Nintendo Entertainment System/Famicom emulator
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 Features:
    * Save states
    * Movie recording
    * Game rewinding
    * GUI or command line interface
    * Emulation of NTSC, PAL, and Dendy systems
    * Support for NES Zapper games
    * Support for Famicom Disk System games
 .
 Nestopia requires OpenGL 3.2 or later.

Package: libretro-nestopia
Architecture: any
Multi-Arch: same
Depends: retroarch | libretro-frontend,
         ${misc:Depends},
         ${shlibs:Depends}
Description: libretro wrapper for Nestopia
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 This package contains a wrapper allowing the Nestopia engine to be
 used with libretro frontends such as RetroArch.
