=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Nestopia uses shifted negative integers
export DEB_CFLAGS_MAINT_APPEND = -fpermissive
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

# Enable all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	PLATFORM=platform="armv hardfloat"
endif

export PREFIX=/usr
export BINDIR=/usr/games

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gui --with-ao --with-jack

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=libretro -- $(PLATFORM)

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=libretro
