=== debian/changelog ===
nestopia (1.50-2) unstable; urgency=medium

  * Drop the dh-exec requirement.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Jan 2021 18:29:12 +0100

nestopia (1.50-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Stephen Kitt ]
  * New upstream release.
  * Add appdata license to debian/copyright.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Jan 2020 09:12:32 +0100
