=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
-               debhelper (>= 11~),
-               dh-exec,
+               debhelper-compat (= 13),
                libao-dev,
                libarchive-dev,
                libglew-dev,
                libgtk-3-dev,
                libjack-dev,
                libsdl2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/
