## nestopia 1.51.1

=== debian/changelog ===
nestopia (1.51.1-1) unstable; urgency=medium

  * New upstream release.
  * Nestopia only needs OpenGL 1.x.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Aug 2021 11:54:09 +0200

nestopia (1.51.0-1~exp1) experimental; urgency=medium

  * New upstream release, dropping libretro support (maintained
    elsewhere).

 -- Stephen Kitt <skitt@debian.org>  Mon, 28 Jun 2021 11:21:18 +0200
