=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,6 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-gui --with-ao --with-jack
-
-override_dh_auto_build:
-	dh_auto_build
-	dh_auto_build --sourcedirectory=libretro -- $(PLATFORM)
-
-override_dh_auto_clean:
-	dh_auto_clean
-	dh_auto_clean --sourcedirectory=libretro
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/nestopia/usr/bin debian/nestopia/usr/games
