=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nestopia-$1.tar.gz%,dversionmangle=s%.dfsg$%%" \
    https://github.com/rdanbrook/nestopia/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
