## nestopia 1.52.0

=== debian/changelog ===
nestopia (1.52.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:16 +1100

nestopia (1.52.0-1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:22:52 +0000

nestopia (1.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.
  * Remove Sérgio Benjamim from uploaders, since the libretro core is
    maintained elsewhere and Sérgio is longer active.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Dec 2022 12:05:45 +0100
