=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nestopia
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <skitt@debian.org>,
-           Sérgio Benjamim <sergio_br2@yahoo.com.br>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
@@ -10,7 +10,7 @@
                libfltk1.3-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/
