## nestopia 1.52.1+dfsg

=== debian/changelog ===
nestopia (1.52.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Mar 2024 19:44:05 +0200

nestopia (1.52.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack with excluded unrar.
  * New upstream version 1.52.0+dfsg.

 -- Bastian Germann <bage@debian.org>  Sun, 10 Mar 2024 22:07:47 +0100
