## nestopia 1.53.0+dfsg

=== debian/changelog ===
nestopia (1.53.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Dec 2024 16:00:35 +0100
