=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: nestopia
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: autoconf-archive,
                debhelper-compat (= 13),
                libarchive-dev,
+               libepoxy-dev,
                libfltk1.3-dev,
+               libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/
