## nestopia 1.53.1+dfsg

=== debian/changelog ===
nestopia (1.53.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 16:27:34 +0100
