=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/nestopia
 Vcs-Git: https://salsa.debian.org/games-team/nestopia.git
 Homepage: http://0ldsk00l.ca/nestopia/
