## nestopia 1.53.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: autoconf-archive,
                debhelper-compat (= 13),
                libarchive-dev,
+               libcairo2-dev,
                libepoxy-dev,
-               libfltk1.3-dev,
+               libfltk1.4-dev,
                libsamplerate0-dev,
                libsdl2-dev,
                zlib1g-dev
