=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/rdanbrook/nestopia/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
