## nestopia 1.53.2+dfsg

=== debian/changelog ===
nestopia (1.53.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the old FSF address from debian/copyright.
  * Fix the AppStream metadata identifier.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Aug 2025 12:16:07 +0200

nestopia (1.53.1+dfsg-2) unstable; urgency=medium

  * Build with FLTK 1.4.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Apr 2025 08:51:45 +0200
